Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package ast
  Definition Classes
    nsc
-  package backend
  Definition Classes
    nsc
-  package classpath
  Definition Classes
    nsc
-  package doc
  Definition Classes
    nsc
-  package interactive
  Definition Classes
    nsc
-  package interpreter

  The main REPL related classes and values are as follows.

  The main REPL related classes and values are as follows. In addition to standard compiler classes Global and Settings, there are:

  History: an interface for session history. Completion: an interface for tab completion. ILoop (formerly InterpreterLoop): The umbrella class for a session. IMain (formerly Interpreter): Handles the evolving state of the session and handles submitting code to the compiler and handling the output. InteractiveReader: how ILoop obtains input. History: an interface for session history. Completion: an interface for tab completion. Power: a repository for more advanced/experimental features.

  ILoop contains { in: InteractiveReader, intp: IMain, settings: Settings, power: Power } InteractiveReader contains { history: History, completion: Completion } IMain contains { global: Global }

  Definition Classes
    nsc
-  package io
  Definition Classes
    nsc
-  package javac
  Definition Classes
    nsc
-  package plugins
  Definition Classes
    nsc
-  package reporters
  Definition Classes
    nsc
-  package settings
  Definition Classes
    nsc
-  package symtab
  Definition Classes
    nsc
-  package transform
  Definition Classes
    nsc
-  package typechecker
  Definition Classes
    nsc
-  package util
  Definition Classes
    nsc
- ClassPathMemoryConsumptionTester
- CommonRunner
- CompilationUnits
- CompileClient
- CompileServer
- CompileSocket
- CompilerCommand
- ConsoleWriter
- Driver
- EvalLoop
- GenericRunnerCommand
- GenericRunnerSettings
- Global
- GlobalSymbolLoaders
- HasCompileSocket
- Interpreter
- InterpreterLoop
- JarRunner
- Main
- MainBench
- MainClass
- MainGenericRunner
- MainTokenMetric
- NewLinePrintWriter
- ObjectRunner
- OfflineCompilerCommand
- Parsing
- PhaseAssembly
- Properties
- Reporting
- ScalaDoc
- ScalaDocReporter
- ScriptRunner
- Settings
- StandardCompileClient
- StandardCompileServer
- SubComponent

c

scala.tools.nsc

# CompilerCommand 

###

#### class CompilerCommand extends AnyRef

A class representing command line info for scalac

Source
  CompilerCommand.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
GenericRunnerCommand, OfflineCompilerCommand, Command, CommandLine
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CompilerCommand
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new CompilerCommand(arguments: List[String], settings: Settings, error: (String) ⇒ Unit)
2.  new CompilerCommand(arguments: List[String], error: (String) ⇒ Unit)
3.  new CompilerCommand(arguments: List[String], settings: Settings)

### Type Members

1.  type Setting = Settings.Setting

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from CompilerCommand to any2stringadd[CompilerCommand] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (CompilerCommand, B)
   Implicit
     This member is added by an implicit conversion from CompilerCommand to ArrowAssoc[CompilerCommand] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def cmdDesc: String

   A descriptive alias for version and help messages.

9.  def cmdName: String

   The name of the command.

10.  def createUsageMsg(label: String, shouldExplain: Boolean, cond: (Setting) ⇒ Boolean): String
11.  def createUsageMsg(cond: (Setting) ⇒ Boolean): String

    Creates a help message for a subset of options based on cond

12.  def ensuring(cond: (CompilerCommand) ⇒ Boolean, msg: ⇒ Any): CompilerCommand
    Implicit
      This member is added by an implicit conversion from CompilerCommand to Ensuring[CompilerCommand] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: (CompilerCommand) ⇒ Boolean): CompilerCommand
    Implicit
      This member is added by an implicit conversion from CompilerCommand to Ensuring[CompilerCommand] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean, msg: ⇒ Any): CompilerCommand
    Implicit
      This member is added by an implicit conversion from CompilerCommand to Ensuring[CompilerCommand] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean): CompilerCommand
    Implicit
      This member is added by an implicit conversion from CompilerCommand to Ensuring[CompilerCommand] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
18.  def expandArg(arg: String): List[String]

    Expands all arguments starting with @ to the contents of the file named like each argument.

19.  def files: List[String]
20.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
21.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from CompilerCommand to StringFormat[CompilerCommand] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
22.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
23.  def getInfoMessage(global: Global): String
24.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
25.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
26.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
27.  final def notify(): Unit
    Definition Classes
      AnyRef
28.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
29.  def ok: Boolean
30.  def processArguments: (Boolean, List[String])
31.  val settings: Settings
32.  def shortUsage: String
33.  def shouldProcessArguments: Boolean
34.  def shouldStopWithInfo: Boolean

    For info settings, compiler should just print a message and quit.

35.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
36.  def toString(): String
    Definition Classes
      AnyRef → Any
37.  def usageMsg: String

    Messages explaining usage and options

38.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
39.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
40.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
41.  def xusageMsg: String
42.  def yusageMsg: String
43.  def →[B](y: B): (CompilerCommand, B)
    Implicit
      This member is added by an implicit conversion from CompilerCommand to ArrowAssoc[CompilerCommand] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from CompilerCommand to any2stringadd[CompilerCommand]

### Inherited by implicit conversion StringFormat from CompilerCommand to StringFormat[CompilerCommand]

### Inherited by implicit conversion Ensuring from CompilerCommand to Ensuring[CompilerCommand]

### Inherited by implicit conversion ArrowAssoc from CompilerCommand to ArrowAssoc[CompilerCommand]

### Ungrouped